Change monitoring scope
curl --request PATCH \
--url https://api.simplified-webhooks.com/monitoring-config/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"scope": "all"
}'import requests
url = "https://api.simplified-webhooks.com/monitoring-config/{id}"
payload = { "scope": "all" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: 'all'})
};
fetch('https://api.simplified-webhooks.com/monitoring-config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseId": "appkGlXEiufQLn1Qd",
"baseName": "Sales CRM",
"workspaceId": "wspXXXXXXXXXXXXXX",
"monitoringBaseId": "<string>",
"monitoringBaseName": "<string>",
"monitoringTableId": "<string>",
"monitoringTableName": "<string>",
"scope": "all",
"timezone": "utc",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Missing required fields: [tableId, event]"
}{
"message": "Missing required fields: [tableId, event]"
}{
"message": "Missing required fields: [tableId, event]"
}Audit Log
Change monitoring scope
PATCH
/
monitoring-config
/
{id}
Change monitoring scope
Authorizations
API key for authentication.
Path Parameters
The monitoring config id.
Example:
"8f1d6b2c-3a4e-4c5d-9e6f-0a1b2c3d4e5f"
Body
application/json
Which changes are logged โ all, schema changes only, or record changes only.
Available options:
all, schema_only, records_only Example:
"all"
Response
The updated config.
Show child attributes
Show child attributes
โI